#!/bin/sh

if [ ! -e '/var/www/wordpress/wp-config.php' ]; then
    wp core download --path=/var/www/wordpress

    cd /var/www/wordpress
    wp config create --dbname="$DB_DB" --dbuser="$DB_USER" --dbpass="$(cat /run/secrets/db_password)" --dbhost=mariadb
    wp core install --url="$DOMAIN_NAME" --title="$TITLE" --admin_user="$ADMIN_USER" --admin_email="$ADMIN_EMAIL" --admin_password="password"
fi

exec php-fpm84 --nodaemonize